@import url(https://fonts.bunny.net/css?family=poppins:300,400,500,600,700,800);

:root {
    --bgColor: #223344;
    --bgColor2: #090a0f;
    --accentColor: #Fafafa;
    --font: 'Poppins', sans-serif;
    --delay: .3s;
}

body {
    margin: 0;
    padding: 0;
    font-family: var(--font);
    background: #19212B;
    background-image: url('https://soar.host/en/assets/images/vector_objects.svg');
    background-size: cover;
    background-position: center; 
    background-repeat: no-repeat;
    opacity: 0;
    animation: 1s ease-out var(--delay) 1 transitionAnimation; /* duration/timing-function/delay/iterations/name */
    animation-fill-mode: forwards;
    position: relative;
}

#profilePicture, #profilePicture img {
    position: relative;
    width: 96px;
    height: 96px;
    display: block;
    margin: 40px auto 20px;
    border-radius: 50%;
    -webkit-tap-highlight-color: transparent;
}

#userName {
    color: var(--accentColor);
    font-size: 1rem;
    font-weight: bold;
    line-height: 1.25;
    display: block;
    font-family: var(--font);
    width: 100%;
    text-align: center;
    text-decoration: none;
}

#links {
    max-width: 675px;
    width: auto;
    display: block;
    margin: 27px auto;
}

.link {
    position: relative;
    background-color: #1F2834;
    color: var(--accentColor);
    border-radius: 10px;
    font-size: 1rem;
    text-align: center;
    display: block;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    padding: 10px; /* 17px */
    text-decoration: none;
    /* transition: all .25s cubic-bezier(.08, .59, .29, .99); */
    -webkit-tap-highlight-color: transparent;
}

@media (hover: hover) {
    .link:hover {
        background-color: #151E28;
    }
}

.link:active {
    background-color: #151E28;
    color: #fafafa;
}

#hashtag {
    position: relative;
    padding-bottom: 20px;
    color: var(--accentColor);
    font-size: 1rem;
    display: block;
    font-family: var(--font);
    width: 100%;
    text-align: center;

    /*  animation   */
    overflow: hidden;
    background: linear-gradient(90deg, var(--bgColor), var(--accentColor), var(--bgColor));
    background-repeat: no-repeat;
    background-size: 80%;
    animation: animate 3s linear var(--delay) infinite;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: rgba(255, 255, 255, 0);
}


/*-------------------------animations-----------------------*/
@keyframes transitionAnimation {
    0% {
        opacity: 0;
        transform: translateY(-10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animate {
    0% {
      background-position: -500%;
    }
    100% {
      background-position: 500%;
    }
}

@keyframes animStar {
    from {
        transform: translateY(0px);
    }
    to {
        transform: translateY(-2000px);
    }
}

